AAAAAAAAAAAAAAAAAAAAAAAAAAAAA – prosty exploit na HP iLO (Integrated Lights-Out)

09 lipca 2018, 10:44 | W biegu | komentarze 4
: zin o bezpieczeństwie - pobierz w pdf/epub/mobi.

Mimo że problem został zlokalizowany w zeszłym roku, doznaje teraz medialnego zainteresowania (i pogłębienia). I słusznie – samo iLO jest popularne i daje bardzo bogate możliwości (również atakującemu):

Integrated Lights-Out (iLO) is a remote server management processor embedded on the system boards of HP ProLiant and Blade servers that allows controlling and monitoring of HP servers from a remote location. HP iLO management is a powerful tool that provides multiple ways to configure, update, monitor, and run servers remotely.

O co chodzi w podatności? Można przełamać uwierzytelnienie do panelu administracyjnego za pomocą jednego, prostego nagłówka HTTP:

I to w zasadzie tyle :-) Tzn mamy dostęp administracyjny.

HP zaleca update firmware do wersji 2.54 (iLO 4). Być może wracamy do ery podatności sprzed 20 lat…wszystko było dziurawe jak sito, exploity banalne, dodatkowych metod ochrony – brak.

–ms

Spodobał Ci się wpis? Podziel się nim ze znajomymi:



Komentarze

  1. Marcin

    Ale wiecie że iLO4 jest już dostępne w wersji 2.60?
    BTW macie błąd, podatność załatana została w 2.54

    Odpowiedz
    • Marcin – tak, ale fix do tego był właśnie w 2.54 (podniesiona też w tekście wersja do 2.54 z 2.53 – thx)

      Odpowiedz
  2. Sempol

    Tym jednym prostym nagłówkiem HTTP dostał się do panelu administratora. Inzynierowie HP go nienawidzą. :P

    Odpowiedz
    • Piotr

      Buahahha, spadłem z krzesła !!!!!

      Odpowiedz

Odpowiedz